Skip to content

TracksSummary

Object

Fields

FieldTypeDescription
totalInt!

The total number of Tracks within the time range.

startedCountInt!

The number of tracks which started within the time range.

endedCountInt!

The number of tracks which ended within the time range.

totalsByTag Deprecated[TracksCountByTag!]!

The count of Tracks for each Tag within the time range.

Deprecated: To retrieve per-tag counts, group by the TAG field, either alone or in combination with a time bucket. Counts will return as empty if a tracksBucket or filter is used.

buckets[TracksSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if tracksBucket is provided as a query parameter to tracksSummary.

highestTotalBuckets[TracksHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no tracksBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByTracksSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s tracksBucket: groupBy.fields must be a subset of tracksBucket.fields, and groupBy.size must equal tracksBucket.size if set. If null, returns the single bucket with the greatest total across all buckets (plus any ties).